Table of Contents

## Name

XcmsTekHVCQueryMaxC, XcmsTekHVCQueryMaxV, XcmsTekHVCQueryMaxVC, XcmsTekHVCQueryMaxVSamples, XcmsTekHVCQueryMinV - obtain the TekHVC coordinates

## Syntax

Status XcmsTekHVCQueryMaxC(XcmsCCC ccc, XcmsFloat hue,
  XcmsFloat value, XcmsColor *color_return);
Status XcmsTekHVCQueryMaxV(XcmsCCC ccc, XcmsFloat hue,
  XcmsFloat chroma, XcmsColor *color_return);
Status XcmsTekHVCQueryMaxVC(XcmsCCC ccc, XcmsFloat hue,
  XcmsColor *color_return);
Status XcmsTekHVCQueryMaxVSamples(XcmsCCC ccc, XcmsFloat
  hue, XcmsColor colors_return[], unsigned int nsamples);
Status XcmsTekHVCQueryMinV(XcmsCCC ccc, XcmsFloat hue,
  XcmsFloat chroma, XcmsColor *color_return);

## Arguments

ccc
  Specifies the CCC. Note that the CCC's Client White Point and White Point Adjustment procedures are ignored.
chroma
  Specifies the chroma at which to find maximum Value (MaxV).
colors_return
  Returns nsamples of color specifications in XcmsTekHVC such that the Chroma is the maximum attainable for the Value and Hue. The white point associated with the returned color specification is the Screen White Point. The value returned in the pixel member is undefined. maximum Value along with the Hue and Chroma (MaxV), color specification in XcmsTekHVC for the maximum Chroma, the Value at which that maximum Chroma is reached and actual Hue (MaxVC) or minimum Value and the actual Hue and Chroma (MinL) minimum Value (MinL)
color_return
  Returns the c at which the maximum Chroma (MaxC and MaxVC), maximum Value (MaxV), or was found. The white point associated with the returned color specification is the Screen White Point. The value returned in the pixel member is undefined. maximum Value (MaxV), the maximum Chroma/Value samples (MaxVSamples), or the minimum Value (MinL)
hue
  Specifies the Hue in which to find the maximum Chroma (MaxC and MaxVC),.
nsamples
  Specifies the number of samples.
value
  Specifies the Value in which to find the `a.`

## Description

The XcmsTekHVCQueryMaxC function, given a Hue and Value, determines the maximum Chroma in TekHVC color space displayable by the screen. It returns the maximum Chroma along with the actual Hue and Value at which the maximum Chroma was found.

The XcmsTekHVCQueryMaxV function, given a Hue and Chroma, determines the maximum Value in TekHVC color space displayable by the screen. It returns the maximum Value and the actual Hue and Chroma at which the maximum Value was found.

The XcmsTekHVCQueryMaxVC function, given a Hue, determines the maximum Chroma in TekHVC color space displayable by the screen and the Value at which that maximum Chroma is reached. It returns the maximum Chroma, the Value at which that maximum Chroma is reached, and the actual Hue for which the maximum Chroma was found.

The XcmsTekHVCQueryMaxVSamples returns nsamples of maximum Value, the Chroma at which that maximum Value is reached, and the actual Hue for which the maximum Chroma was found. These sample points may then be used to plot the maximum Value/Chroma boundary of the screen's color gamut for the specified Hue in TekHVC color space.

The XcmsTekHVCQueryMinV function, given a Hue and Chroma, determines the minimum Value in TekHVC color space displayable by the screen. It returns the minimum Value and the actual Hue and Chroma at which the minimum Value was found.

## See Also

XcmsCIELabQueryMaxC(3X11) , XcmsCIELuvQueryMaxC(3X11) , XcmsQueryBlack(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also